NSX-T Data Center REST API

Get current status of TGW

Get current status of VPC TGW.

Request:

Method:
GET
URI Path(s):
/policy/api/v1/orgs/{org-id}/projects/{project-id}/transit-gateways/{transit-gateway-id}/status
Request Headers:
n/a
Query Parameters:
n/a
Request Body:
n/a

Example Request:

GET https://<policy-mgr>/policy/api/v1/orgs/default/projects/project-1/transit-gateways/tgw1/status

Successful Response:

Response Code:
200 OK
Response Headers:
Content-type: application/json
Response Body:
VpcTransitGatewayStatusResult+

Example Response:

// Cluster based span { "status": "SUCCESS", "path": "/orgs/default/projects/project_1/transit-gateways/default/status", "realization_id": "3d371765-e5e2-4a1d-aa95-7e38fefd1b36", "span" : { "type" : "ClusterBasedSpan", "span_path": "/infra/network-spans/default" } } // Zone based span { "status": "SUCCESS", "path": "/orgs/default/projects/project_1/transit-gateways/default/status", "realization_id": "3d371765-e5e2-4a1d-aa95-7e38fefd1b36", "span" : { "type" : "ZoneBasedSpan", "zone_external_ids" : [ "33dbf426-c282-42a0-9ae2-5e924b8a78b4:zone-c38", "33dbf426-c282-42a0-9ae2-5e924b8a78b4:zone-c38" ] } }

Required Permissions:

read

Feature:

policy_transit_gateway

Additional Errors: